> ## Documentation Index
> Fetch the complete documentation index at: https://mindcase.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# YouTube Channel Profile

> Extract YouTube channel profiles, subscriber counts, statistics, and geo-targeting details by query

`$0.4 / 1k profiles`

Extract YouTube channel profiles, subscriber counts, statistics, and geo-targeting details by query

## Endpoint

`POST /api/v1/agents/youtube/channel-information/run`

## Parameters

<ParamField body="inputs" type="array" required>
  **List** · One per line. You can input YouTube channel URLs, @handles, or search keywords.
</ParamField>

<ParamField body="maxResults" type="integer" default={50}>
  **Number** · Channels to return. Use 0 for all.
</ParamField>

<ParamField body="country" type="string" default="us">
  **Dropdown** · Country to search YouTube from.

  [View all 52 options →](/agents/youtube/channel-information/values#country)
</ParamField>

<ParamField body="language" type="string" default="en">
  **Dropdown** · Language for results.

  <Accordion title="Show all 29 options">
    `en`, `es`, `fr`, `de`, `it`, `pt`, `nl`, `pl`, `sv`, `no`, `da`, `fi`, `tr`, `ru`, `uk`, `cs`, `el`, `hu`, `ro`, `he`, `ar`, `hi`, `zh`, `ja`, `ko`, `th`, `vi`, `id`, `ms`

    *Legend: `en` = English, `es` = Spanish, `fr` = French, `de` = German, `it` = Italian, `pt` = Portuguese, `nl` = Dutch, `pl` = Polish, `sv` = Swedish, `no` = Norwegian, `da` = Danish, `fi` = Finnish, `tr` = Turkish, `ru` = Russian, `uk` = Ukrainian, `cs` = Czech, `el` = Greek, `hu` = Hungarian, `ro` = Romanian, `he` = Hebrew, `ar` = Arabic, `hi` = Hindi, `zh` = Chinese, `ja` = Japanese, `ko` = Korean, `th` = Thai, `vi` = Vietnamese, `id` = Indonesian, `ms` = Malay*

    [View all 29 as a structured list →](/agents/youtube/channel-information/values#language)
  </Accordion>
</ParamField>

<ParamField body="sortBy" type="string">
  **Dropdown** · Sort order (only applies when searching by keyword).

  **Options:** `r`, `ra`, `u`, `v`

  *Legend: `r` = Relevance, `ra` = Rating, `u` = Upload date, `v` = View count*
</ParamField>

## Response columns

| Field                | Display name        | Type    |
| -------------------- | ------------------- | ------- |
| `channelUrl`         | Channel URL         | url     |
| `channelName`        | Channel Name        | text    |
| `description`        | Description         | text    |
| `subscribers`        | Subscribers         | number  |
| `totalViews`         | Total Views         | number  |
| `videos`             | Videos              | number  |
| `joined`             | Joined              | text    |
| `familySafe`         | Family Safe         | boolean |
| `tags`               | Tags                | text    |
| `tabs`               | Tabs                | text    |
| `availableCountries` | Available Countries | text    |
| `type`               | Type                | text    |
| `thumbnail`          | Thumbnail           | url     |

## Example

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://api.mindcase.co/api/v1/agents/youtube/channel-information/run \
    -H "Authorization: Bearer mk_live_abc123def456" \
    -H "Content-Type: application/json" \
    -d '{
    "params": {
      "urls": [
        {
          "url": "https://www.youtube.com/@MrBeast"
        },
        {
          "url": "https://www.youtube.com/@PewDiePie"
        },
        {
          "url": "https://www.youtube.com/@TSeries"
        },
        {
          "url": "https://www.youtube.com/@MKBHD"
        },
        {
          "url": "https://www.youtube.com/@veritasium"
        },
        {
          "url": "https://www.youtube.com/@Markiplier"
        },
        {
          "url": "https://www.youtube.com/@CocoMelon"
        },
        {
          "url": "https://www.youtube.com/@WWE"
        },
        {
          "url": "https://www.youtube.com/@TheWeeknd"
        },
        {
          "url": "https://www.youtube.com/@dudeperfect"
        }
      ]
    }
  }'
  ```

  ```python Python theme={null}
  import requests

  resp = requests.post(
      "https://api.mindcase.co/api/v1/agents/youtube/channel-information/run",
      headers={"Authorization": "Bearer mk_live_abc123def456"},
      json={"params": {
      "urls": [
          {
              "url": "https://www.youtube.com/@MrBeast"
          },
          {
              "url": "https://www.youtube.com/@PewDiePie"
          },
          {
              "url": "https://www.youtube.com/@TSeries"
          },
          {
              "url": "https://www.youtube.com/@MKBHD"
          },
          {
              "url": "https://www.youtube.com/@veritasium"
          },
          {
              "url": "https://www.youtube.com/@Markiplier"
          },
          {
              "url": "https://www.youtube.com/@CocoMelon"
          },
          {
              "url": "https://www.youtube.com/@WWE"
          },
          {
              "url": "https://www.youtube.com/@TheWeeknd"
          },
          {
              "url": "https://www.youtube.com/@dudeperfect"
          }
      ]
  }},
  )
  data = resp.json()
  ```
</CodeGroup>

### Example response

```json Response theme={null}
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "channelUrl": "https://www.youtube.com/@PewDiePie",
      "channelName": "PewDiePie",
      "description": "I make videos.",
      "subscribers": 110000000,
      "totalViews": "29494272744",
      "videos": "4661",
      "joined": "2010-04-29",
      "familySafe": true,
      "tags": [
        "pewdiepie",
        "pewds",
        "gaming",
        "felix arvid ulf",
        "felix",
        "kjellberg"
      ],
      "tabs": [
        "Home",
        "Videos",
        "Live",
        "Playlists",
        "Posts",
        "Store",
        "Search"
      ],
      "availableCountries": [
        "CY",
        "BR",
        "BE",
        "GT",
        "HU",
        "HR",
        "GY",
        "AO",
        "AZ",
        "GL",
        "PH",
        "ZA",
        "SL",
        "FJ",
        "HN",
        "VN",
        "TH",
        "KE",
        "BG",
        "NP",
        "WS",
        "BM",
        "LK",
        "MW",
        "IQ",
        "CA",
        "SJ",
        "TT",
        "VE",
        "BV",
        "AU",
        "MK",
        "LU",
        "TC",
        "TG",
        "MT",
        "EG",
        "RS",
        "UA",
        "CX",
        "MD",
        "KG",
        "ZM",
        "GU",
        "CG",
        "TJ",
        "EH",
        "UZ",
        "TR",
        "ET",
        "KI",
        "TV",
        "CU",
        "PS",
        "ES",
        "CD",
        "LA",
        "HM",
        "BQ",
        "JP",
        "TZ",
        "LT",
        "HT",
        "PK",
        "NL",
        "BA",
        "BF",
        "BL",
        "SC",
        "MH",
        "NO",
        "FK",
        "NE",
        "PM",
        "KZ",
        "GM",
        "BN",
        "GS",
        "IN",
        "VC",
        "LI",
        "JE",
        "CM",
        "KW",
        "MQ",
        "FI",
        "NR",
        "PF",
        "GD",
        "GP",
        "KM",
        "LR",
        "NZ",
        "PT",
        "RO",
        "SK",
        "ST",
        "TK",
        "MP",
        "SM",
        "TW",
        "TF",
        "GH",
        "GW",
        "SB",
        "KH",
        "BT",
        "ER",
        "MA",
        "VU",
        "PW",
        "JM",
        "UM",
        "BD",
        "ME",
        "BW",
        "AI",
        "VA",
        "AR",
        "IR",
        "MF",
        "KP",
        "AD",
        "ML",
        "NF",
        "CC",
        "OM",
        "YT",
        "PL",
        "CL",
        "LC",
        "CW",
        "NU",
        "PG",
        "UY",
        "AE",
        "DM",
        "PA",
        "PN",
        "SD",
        "CK",
        "SR",
        "NG",
        "TL",
        "CF",
        "CI",
        "GQ",
        "HK",
        "IT",
        "CV",
        "DJ",
        "MS",
        "TD",
        "SH",
        "GR",
        "IE",
        "US",
        "RE",
        "GF",
        "CO",
        "EE",
        "SY",
        "ZW",
        "SA",
        "IL",
        "GB",
        "VG",
        "GI",
        "MN",
        "SO",
        "MV",
        "FO",
        "CR",
        "GE",
        "KY",
        "QA",
        "AF",
        "AW",
        "MR",
        "LS",
        "IM",
        "NI",
        "AX",
        "AM",
        "BS",
        "UG",
        "TM",
        "DE",
        "IS",
        "RW",
        "DO",
        "CN",
        "BI",
        "MY",
        "BY",
        "LV",
        "DZ",
        "MC",
        "AG",
        "SN",
        "DK",
        "GG",
        "BO",
        "TN",
        "SX",
        "SE",
        "CH",
        "SG",
        "BJ",
        "MZ",
        "JO",
        "KR",
        "EC",
        "LY",
        "FM",
        "WF",
        "MG",
        "MO",
        "SI",
        "TO",
        "MU",
        "YE",
        "ID",
        "MM",
        "SS",
        "BH",
        "RU",
        "MX",
        "PY",
        "VI",
        "GN",
        "PR",
        "IO",
        "AQ",
        "PE",
        "LB",
        "SZ",
        "AT",
        "CZ",
        "AS",
        "GA",
        "NA",
        "SV",
        "BB",
        "AL",
        "KN",
        "FR",
        "NC",
        "BZ"
      ],
      "type": "channel",
      "thumbnail": null
    }
  ]
}
```
